import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ClaimWhereInputObjectSchema as ClaimWhereInputObjectSchema } from './ClaimWhereInput.schema'

const makeSchema = () => z.object({
  is: z.lazy(() => ClaimWhereInputObjectSchema).optional(),
  isNot: z.lazy(() => ClaimWhereInputObjectSchema).optional()
}).strict();
export const ClaimScalarRelationFilterObjectSchema: z.ZodType<Prisma.ClaimScalarRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.ClaimScalarRelationFilter>;
export const ClaimScalarRelationFilterObjectZodSchema = makeSchema();
